Subject: RE: [Sip] Re: A Comment draft-ietf-sip-hitchhikers-guide-00.txt

From: "Drage, Keith \(Keith\)" <[email-masked]>
Date: Thu, 19 Oct 2006 09:48:18 +0200

More to the point, these documents only create the registries, and
populate them with the current information at the time they were
published. 

These registries are updated by the IANA considerations of every SIP
extension that is then published, but RFC 3968 and RFC 3969 will never
be updated (unless there is a problem with the registry structure
itself).

Therefore I would suggest that RFC 3968 and RFC 3969 do not carry
information to the readership of the hitchhiker's guide. The information
that those readers need is the IANA registry itself.

Keith  

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]] 
> Sent: 18 October 2006 15:29
> To: Vasudeva M
> Cc: [email-masked]
> Subject: Re: [Sip] Re: A Comment 
> draft-ietf-sip-hitchhikers-guide-00.txt
> 
> Well, as you say, the current scope of the guide is only 
> extensions, SIP objects, and SDP and extensions targeted 
> specifically for SIP. Including informational documents makes 
> this into a massive bloat. I would rather keep the current scope.
> 
> -Jonathan R.
> 
> Vasudeva M wrote:
> 
> > Hi,
> > 
> > Would it be OK if the references (RFC3968 and RFC3969) which lists 
> > currently IANA registered SIP headers(and URI parameters) 
> are included 
> > in hitchhikers' guide ? (even though it does not 
> extend/modify the SIP
> > protocol.)
> > 
> > Regards,
> > Vasu
> > 
> > 
> > 
> > On 10/18/06, *Jonathan Rosenberg* <[email-masked] 
> > <mailto:[email-masked]>> wrote:
> > 
> >     THanks for the comments, and apologies for the slow 
> response. See below.
> > 
> >     Samir Srivastava wrote:
> > 
> >      > Hi,
> >      >
> >      >
> >      >
> >      > 1)       Shouldn't we have reference to the open bugs in this
> >     guide in
> >      > some form. Atleast a reference to bugzilla web site?
> > 
> >     That is not within the scope of this document. There is ongoing
> >     discussion on what to do with those bugs, no conclusion 
> yet. But this
> >     document serves only to enumerate the SIP specifications.
> > 
> >      >
> >      >
> >      >
> >      > 2)       It refers the RFC 2976 for SIP INFO. 
> Shouldn't it refer
> >     the RFC
> >      > 2833 there.  We may be widening its scope to media too..
> > 
> >     INFO is an existing normative extension to SIP and so 
> it is referenced.
> >     That doesn't mean we are proposing it be used for DTMF; 
> it just means
> >     its an extension. RFC 2833 is not a SIP extension, it is an RTP
> >     extension. So it is not included.
> > 
> > 
> >     -Jonathan R.
> >     --
> >     Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
> >     Cisco Fellow                                   
> Parsippany, NJ 07054-2711
> >     Cisco Systems
> >     [email-masked]
> >     <mailto:[email-masked]>                              
> FAX:   (973)
> >     952-5050
> >     http://www.jdrosen.net                         PHONE: 
> (973) 952-5000
> >     http://www.cisco.com
> > 
> >     _______________________________________________
> >     Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> >     This list is for NEW development of the core SIP Protocol
> >     Use [email-masked]
> >     <mailto:[email-masked]> for questions 
> on current sip
> >     Use [email-masked] <mailto:[email-masked]> for new 
> developments
> >     on the application of sip
> > 
> > 
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
> Cisco Fellow                                   Parsippany, NJ 
> 07054-2711
> Cisco Systems
> [email-masked]                              FAX:   (973) 952-5050
> http://www.jdrosen.net                         PHONE: (973) 952-5000
> http://www.cisco.com
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip 
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Dean Willis <[email-masked]>
Date: Thu, 19 Oct 2006 09:21:26 -0500

The suggestion is not to add RFCs 3968 and 3969 to the Guide as  
"critical SIP documents", but to put some advisory text that says  
"Note that in addition to the RFCs, the following IANA registries  
contain important information about SIP and extensions thereto".

That actually sounds fairly reasonable.

Scenario:

Joebob Smith, college student, is reading the Guide to figure out  
what else he needs to read to understand SIP. In addition to the  
RFCs, he needs to be cognizant of the relevant IANA registries.

--
Dean